Skip to main content
`Ctrl`+`K`

# PCBDDCSetChangeOfBasisMat

Set user defined change of basis for dofs

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCSetChangeOfBasisMat(PC pc, Mat change, PetscBool interior)

Collective

## Input Parameters

- pc - the preconditioning context

- change - the change of basis matrix

- interior - whether or not the change of basis modifies interior dofs

## See Also

KSP: Linear System Solvers, `PCBDDC`

## Level

intermediate

## Location

src/ksp/pc/impls/bddc/bddc.c

## Implementations

PCBDDCSetChangeOfBasisMat_BDDC() in src/ksp/pc/impls/bddc/bddc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages